2

This question is actually part of Virtaal check spell feature not working. How could I install gtkspell and resolve this error:

ERROR:root:Failed to load plugin "spellchecker"
No module named gtkspell
Traceback (most recent call last):
    File "/usr/lib/python2.7/dist-packages/virtaal/controllers/plugincontroller.py", line 109, in    enable_plugin
        self.plugins[name] = plugin_class(name, self.controller)
    File "/usr/lib/python2.7/dist-packages/virtaal/plugins/spellchecker.py", line 69, in __init__
        import gtkspell
ImportError: No module named gtkspell

I have downloaded source from here http://gtkspell.sourceforge.net compiled and installed it, but doesn't seem to help.

2

The module was renamed gtkspellcheck since Ubuntu Xenial. The API has changed too. See the new API here: Python GTK Spellchecker (readthedocs.io).

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.